Package org.jbpm.services.task.commands

## Class GetTaskPropertyCommand

- java.lang.Object
- - org.jbpm.services.task.commands.TaskCommand<T>
  - - org.jbpm.services.task.commands.UserGroupCallbackTaskCommand<Object>
    - - org.jbpm.services.task.commands.GetTaskPropertyCommand

- All Implemented Interfaces:
    `Serializable`, `org.kie.api.command.Command<Object>`, `org.kie.api.command.ExecutableCommand<Object>`

      public class GetTaskPropertyCommand
      extends UserGroupCallbackTaskCommand<Object>

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.jbpm.services.task.commands.TaskCommand

      `groupIds, targetEntityId, taskId, userId`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `GetTaskPropertyCommand()` |
    `GetTaskPropertyCommand​(long taskId, String userId, Integer property)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Object` | `execute​(org.kie.api.runtime.Context cntxt)` |
    `Integer` | `getProperty()` |
    `void` | `setProperty​(Integer name)` |

    - ### Methods inherited from class org.jbpm.services.task.commands.UserGroupCallbackTaskCommand

      `addEmailFromCallbackOperation, addGroupFromCallbackOperation, addUserFromCallbackOperation, doCallbackAndReturnUserOperation, doCallbackEmailOperation, doCallbackGroupOperation, doCallbackGroupsOperation, doCallbackOperationForAttachment, doCallbackOperationForComment, doCallbackOperationForPeopleAssignments, doCallbackOperationForPotentialOwners, doCallbackOperationForTaskData, doCallbackOperationForTaskDeadlines, doCallbackUserOperation, doCallbackUserOperation, doUserGroupCallbackOperation, filterGroups, isBusinessAdmin, persistIfNotExists`

    - ### Methods inherited from class org.jbpm.services.task.commands.TaskCommand

      `getGroupsIds, getTargetEntityId, getTaskId, getUserId, setGroupsIds, setTargetEntityId, setTaskId, setUserId`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GetTaskPropertyCommand

          public GetTaskPropertyCommand()

    - #### GetTaskPropertyCommand

          public GetTaskPropertyCommand​(long taskId,
                                        String userId,
                                        Integer property)

  - ### Method Detail

    - #### getProperty

          public Integer getProperty()

    - #### setProperty

          public void setProperty​(Integer name)

    - #### execute

          public Object execute​(org.kie.api.runtime.Context cntxt)

      Specified by:
        `execute` in interface `org.kie.api.command.ExecutableCommand<Object>`
      Overrides:
        `execute` in class `UserGroupCallbackTaskCommand<Object>`